Bug 41745 - Downscaling with ImageSurface
Summary: Downscaling with ImageSurface
Status: RESOLVED FIXED
Alias: None
Product: cairo
Classification: Unclassified
Component: image backend (show other bugs)
Version: 1.10.3
Hardware: Other Linux (All)
: medium normal
Assignee: Carl Worth
QA Contact: cairo-bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-13 06:43 UTC by Dusan Maliarik
Modified: 2014-07-25 22:24 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Downscaling patch (3.44 KB, patch)
2013-04-26 14:12 UTC, Krzysztof Kosiński
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dusan Maliarik 2011-10-13 06:43:25 UTC
I found lots of discussion, and many proposed solutions, and patches to this problem. It seems that many (mozilla, poppler, others?) using cairo (or pixman) is maintaing some patch that fixes the ugly downscaling output.

Related information for reference:
https://bugzilla.mozilla.org/show_bug.cgi?id=486918
http://lists.cairographics.org/archives/cairo/2009-July/017637.html
http://lists.cairographics.org/archives/cairo/2009-November/018561.html
http://lists.freedesktop.org/archives/cairo/2011-July/022142.html
Comment 1 Krzysztof Kosiński 2013-04-26 14:12:11 UTC
Created attachment 78522 [details] [review]
Downscaling patch

Pixman now implements convolutions, so this bug should be rather easy to fix. Here is an example patch.
Comment 2 Bryce Harrington 2013-09-27 06:45:22 UTC
This patch has landed in trunk, and will be part of the next release.
Comment 3 Bryce Harrington 2014-07-11 19:43:38 UTC
The patch had to be reverted.
See http://thread.gmane.org/gmane.comp.lib.cairo/24825/focus=24856

Another patch has been proposed and is under consideration:
http://thread.gmane.org/gmane.comp.lib.cairo/24870
Comment 4 Bryce Harrington 2014-07-25 22:23:36 UTC
The aforementioned patch has landed; please re-test and share feedback here or on the mailing list.
Comment 5 Bryce Harrington 2014-07-25 22:24:35 UTC
I'm going to close this bug as fixed, assuming the new downscaling patch does the trick.  If it does not, or if there are any concerns, please reopen this patch so further investigation can be done.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.